/**
 * PersistentByte.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto:hotari@iki.fi">Lari Hotari</a>
 * @version
 */

package goodslib;

import goodsjpi.*;

public class PersistentByte extends PersistentNumber {
    byte value;
    transient Byte objvalue;

    public PersistentByte (Byte v){
	this.value=v.byteValue();
	objvalue=v;
    }

    public PersistentByte (byte v){
	this.value=v;
	objvalue=new Byte(value);
    }

    protected void onLoad() {
	objvalue=new Byte(value);
    }
    
    public byte getValue() {
	return value;
    }
    
    public Object getObjectValue() {
	return objvalue;
    }
}// PersistentByte
