package goodslib;
/**
 * PersistentNumber.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto:hotari@iki.fi">Lari Hotari</a>
 * @version
 */

import goodsjpi.*;

public abstract class PersistentNumber extends Persistent implements PersistentPrimary, Comparable {
    public PersistentNumber (){
	
    }

    public Number getNumber() {
	return (Number)getObjectValue();
    }

    public abstract Object getObjectValue();

    public int compareTo(Object o) {
	return PersistentPrimaryHelper.compareTo(this,o);
    }

    public boolean equals(Object o) {
	return PersistentPrimaryHelper.equals(this,o);
    }

    public int hashCode() {
	return getObjectValue().hashCode();
    }
}// PersistentNumber
