import goodsjpi.*;
import goodslib.*;
import java.util.*;

class TestGC {
    public static void main(String[] args) { 
	Database db = new Database();
	if (db.open("omatest.cfg")) { 
	    PersistentHashMap root = (PersistentHashMap)db.getRoot();
	    if (root == null) { // initialize database
		System.out.println("Initializing database...");
		root = new PersistentHashMap();
		db.setRoot(root);
	    }
	    String param="default";
	    if(args.length > 0) {
		param=args[0];
	    }
	    if(param.equals("default")) {
		root.put("avain", "eka arvo");
		root.put("avain2", "toka arvo");
	    } else if(param.equals("poista")) {
		root.remove("avain2");
	    } else if(param.equals("obj")) {
		root.put("numero",new TestObj(303));
	    } else if(param.equals("listaa")) {
		System.out.println(root.toString());
	    } else if(param.equals("lis")) {
		for(int i=0;i < 1000;i++) {
		    System.out.print(".");
		    root.put(new Integer(i), i+"str");
		}
	    }
	    db.close();
	} else { 
	    System.err.println("Failed to open database");
	}
    }
}




