import goodsjpi.*;
import goodslib.*;
import java.util.*;

class TestMap {
    public static void main(String[] args) { 
	Database db = new Database();
	if (db.open("omatest.cfg")) { 
	    PersistentHashMap root = (PersistentHashMap)db.getRoot();
	    if (root == null) { // initialize database
		System.out.println("Initializing database...");
		root = new PersistentHashMap();
		db.setRoot(root);
		long start=System.currentTimeMillis();
		for(int i=0;i < 1000;i++) {
		    root.put(new Integer(i),"a" + i);
		    System.out.print(".");
		}
		System.out.println("\nTime:" + (System.currentTimeMillis()-start));
	    } else {
		ArrayList ajat=new ArrayList();
		for(int j=0;j < 5;j++) {
		    long start=System.currentTimeMillis();
		    for(Iterator i=root.values().iterator();i.hasNext();) {
			System.out.println("jee:" + i.next());
		    }
		    for(Iterator i=root.entrySet().iterator();i.hasNext();) {
			System.out.println("entry:" + i.next());
		    }
		    long duration=System.currentTimeMillis()-start;
		    System.out.println("\nTime:" + duration);
		    ajat.add(new Long(duration));
		}
		System.out.println("Durations:" + ajat);
	    }	    
	    db.close();
	} else { 
	    System.err.println("Failed to open database");
	}
    }
}




