/**
 * GoodsServerProcessTest.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto: hotari@iki.fi">Lari Hotari</a>
 * @version
 */

package goodsutil;

import junit.framework.*;


public class GoodsServerProcessTest extends TestCase {
    public GoodsServerProcessTest(String method){
	super(method);
    }
    
    public void testStart() throws Exception {
	GoodsServerProcess process=new GoodsServerProcess("/opt/goods/bin/goodsrv", "wafdb", new java.io.File("/home/lari/goodsdb"), 0);
	System.out.println("Starting process...");
	process.start();
	System.out.println("Process started!");
	Thread.sleep(2000);
	System.out.print("show:");
	System.out.println(process.executeCommand("show"));
	System.out.println("OK");
	Thread.sleep(9500);	
	System.out.print("Stopping...");
	process.stop();
	System.out.println("OK");
    }
} // GoodsServerProcessTest
