package oodblib;
/**
 * OODBObjectFactory.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto:hotari@iki.fi">Lari Hotari</a>
 * @version
 */

import oodblib.adapter.*;

public interface OODBObjectFactory extends oodblib.adapter.ObjectMapper {
    public Object getObjectID(Object object);
    public Object getNormalObjectByOid(Object oid);
    public Object getOODBObjectByOid(Object oid);
    public void waitForCommit();
    public Transaction newTransaction();
    public Transaction currentTransaction();
    public void deleteOODBObject(Object object);
}// OODBObjectFactory
