
/**
 * $Id: IteratorAdapter.java,v 1.1 2001/10/04 14:52:04 lari Exp $
 * IteratorImpl.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto: hotari@iki.fi">Lari Hotari</a>
 * @version
 */

package oodblib.adapter;

import java.util.*;
import java.rmi.RemoteException;
import oodblib.*;

public class IteratorAdapter implements Iterator {
    Iterator iterator;
    AbstractAdapter adapter;

    public IteratorAdapter(Iterator iterator, AbstractAdapter adapter) {
	this.iterator=iterator;
	this.adapter=adapter;
    }
    
    public boolean hasNext() {
	return iterator.hasNext();
    }
    
    public Object next() {
	return adapter.toNormalObject(iterator.next());
    }

    public void remove() {
	iterator.remove();
    }
}// IteratorImpl
