//-< Assert.java >------------------------------------------------------------*
// GOODS                      Version 2.37       (c) 1998  GARRET    *     ?  *
// (Generic Object Oriented Database System)                         *   /\|  *
// Java Program Interface                                            *  /  \  *
//                          Created: Tue Dec  4 12:06:41 2001  K.A. Knizhnik  * / [] \ *
//                          Last update: 17-Jan-2001  K.A. Knizhnik  * GARRET *
//----------------------------------------------------------------------------*
// Thread with context. This class derived from the standard Java thread class
// makes it possible to associate thread specific data with thread
//----------------------------------------------------------------------------*

package goodsjpi;

public class PThread extends Thread { 
    Object ctx;

    public final void setContext(Object c) { 
	ctx = c; 
    }
    public final Object getContext() { 
	return ctx;
    }
    public PThread(Runnable target) {
	super(target);
    }
    public PThread() {}
}
