/**
 * PersistentDouble.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto:hotari@iki.fi">Lari Hotari</a>
 * @version
 */

package goodslib;

import goodsjpi.*;

public class PersistentDouble extends PersistentNumber {
    double value;
    transient Double objvalue;

    public PersistentDouble (Double v){
	this.value=v.doubleValue();
	objvalue=v;
    }

    public PersistentDouble (double v){
	this.value=v;
	objvalue=new Double(v);
    }

    protected void onLoad() {
	objvalue=new Double(value);
    }
    
    public double getValue() {
	return value;
    }
    
    public Object getObjectValue() {
	return objvalue;
    }

}// PersistentDouble
