/**
 * PersistentFloat.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto:hotari@iki.fi">Lari Hotari</a>
 * @version
 */

package goodslib;

import goodsjpi.*;

public class PersistentFloat extends PersistentNumber {
    float value;
    transient Float objvalue;

    public PersistentFloat (Float v){
	this.value=v.floatValue();
	objvalue=v;
    }

    public PersistentFloat (float v){
	this.value=v;
	objvalue=new Float(v);
    }

    protected void onLoad() {
	objvalue=new Float(value);
    }
    
    public float getValue() {
	return value;
    }
    
    public Object getObjectValue() {
	return objvalue;
    }
}// PersistentFloat
