/**
 * PersistentInteger.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto:hotari@iki.fi">Lari Hotari</a>
 * @version
 */

package goodslib;

import goodsjpi.*;

public class PersistentInt extends PersistentNumber{
    int value;
    transient Integer objvalue;

    public PersistentInt (Integer v){
	this.value=v.intValue();
	objvalue=v;
    }

    public PersistentInt (int v){
	this.value=v;
    	objvalue=new Integer(v);
    }

    protected void onLoad() {
	objvalue=new Integer(value);
    }
    
    public int getValue() {
	return value;
    }
    
    public Object getObjectValue() {
	return objvalue;
    }
}// PersistentInteger
