/**
 * PersistentLong.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto:hotari@iki.fi">Lari Hotari</a>
 * @version
 */

package goodslib;

import goodsjpi.*;

public class PersistentLong extends PersistentNumber {
    long value;
    transient Long objvalue;

    public PersistentLong (Long v){
	this.value=v.longValue();
	objvalue=v;
    }

    public PersistentLong (long v){
	this.value=v;
	objvalue=new Long(v);
    }

    protected void onLoad() {
	objvalue=new Long(value);
    }
    
    public long getValue() {
	return value;
    }
    
    public Object getObjectValue() {
	return objvalue;
    }  
}// PersistentLong
