package goodslib;
/**
 * PersistentPrimaryHelper.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto:hotari@iki.fi">Lari Hotari</a>
 * @version
 */

public class PersistentPrimaryHelper {
    public static int compareTo(PersistentPrimary primobj, Object o) {
        Object myobj=primobj.getObjectValue();

	if(o instanceof PersistentPrimary) {
	    o=((PersistentPrimary)o).getObjectValue();
	}
	
	if(myobj==null) {
	    return -1;
	}

        if(o==null) {
            return 1;
        }

	if(myobj instanceof Comparable) {
	    return ((Comparable)myobj).compareTo(o);
        } else if(o instanceof Comparable && !(o instanceof PersistentPrimary)) {
	    return -((Comparable)o).compareTo(myobj);
	} else {
	    return 0;
	}
    }

    public static boolean equals(PersistentPrimary primobj, Object o) {
        Object myobj=primobj.getObjectValue();

	if(o instanceof PersistentPrimary) {
	    o=((PersistentPrimary)o).getObjectValue();
	}
	
	if(myobj==null && o==null) {
	    return true;
	}

        if(myobj==null || o==null) {
            return false;
        }

	return myobj.equals(o);
    }
   
}// PersistentPrimaryHelper
