package goodslib;
/**
 * PersistentStack.java
 *
 *
 * Created: Tue Dec  4 12:06:41 2001
 *
 * @author <a href="mailto:hotari@iki.fi">Lari Hotari</a>
 * @version
 */

import java.util.*;

public class PersistentStack extends PersistentLinkedList implements goodsutil.Stack {
    public PersistentStack (){
	super();
    }

    public boolean empty() {
	return (size()==0);
    }

    public Object peek() throws EmptyStackException {
	if(empty()) throw new EmptyStackException();
	return getFirst();
    }

    public Object pop() throws EmptyStackException {
	if(empty()) throw new EmptyStackException();
	return removeFirst();
    }

    public Object push(Object item) {
	addFirst(item);
	return item;
    }

    public int search(Object o) {
	return indexOf(o);
    }
}// PersistentStack
